iptables-converter(8)

NAME
iptables-converter - program to convert iptables commands from file to iptables-restore format

SYNOPSIS
iptables-converter [options]

DESCRIPTION
The iptables-converter takes a regular file containing a series of iptables invocations and converts such a sequence to a format compatible with the iptables-restore command. No attempt is made to reorder the sequence of the commands, especially nothing in the input is interpreted in any way. All input lines not starting with "iptables" or "/sbin/iptables" are ignored. Any input lines starting with "#" are treated as comments and therefore are ignored.

If iptables-converter is run without any arguments, it tries to read a file named rules in workdir. Output is written to stdout That's the tribute to my way of doing.

Something needs to be mentioned: iptables -E intellectually still is an unsolved problem and not implemented for now, sorry. Thank you for any hints of how to do it, I can't imagine because of some lacks in my brain.

EXIT STATUS
Normally iptables-converter returns a value of 0. In accidental case of errors exit status 1 is returned. For example, if there are shell variables or shell functions in the inputfile, these are treated as error, which is reported. To avoid these, execute your scripts and feed their output as a file to iptables-converter.

VERSIONS
iptables-converter should be compatibe to any iptables implementations out in the wild. If not, keep me informed, thanks. I'll do my very best.

OPTIONS
-d filename or --dest-file=Destinationfile This options argument defines the destination filename, where the output is written to. If omitted, output is written to stdout for your convienience and nowhere else. So you can inspect it and write to file for later feeding the iptables-restore command.

-s filename or --source-file=Sourcefile This options argument names the source file, where input is read from. If omitted, the default filename is "rules".

--sloppy This indicates '-N UserChain' is not required prior to mentioning any UserChain input or append, the chain is build on the fly. It was build in for special user request.

AUTHOR
Johannes Hubertz <johannes@hubertz.de> wrote this from 2013 to 2018. Any comments welcome anytime.

SEE ALSO
iptables(8) iptables-save(8) iptables-restore(8)